Update elastic server
Replace elastic server configuration.
Prefer PATCH /v1/elastic-servers/{es_id}/config for scaling and cloud-init changes,
and PATCH /v1/elastic-servers/{es_id}/name to rename.
Authorization
bearer_auth OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
A unique identifier for an elastic server pool.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch elastic server scaling policy and/or cloud-init user data.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X PUT "https://example.com/v1/elastic-servers/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \ -H "Content-Type: application/json" \ -d '{ "scale_config": { "autoscale": true, "min_nodes": 2, "max_nodes": 4, "autoscaling_metrics": [ { "type": "cpu", "min_threshold": 30, "max_threshold": 60 } ], "cooldown": 120, "metrics_interval": 30 } }'null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}